## org.codehaus.groovy.groovydoc
Interface GroovyProgramElementDoc

All Superinterfaces:
  Comparable, GroovyDoc

All Known Subinterfaces:
  GroovyClassDoc, GroovyConstructorDoc, GroovyExecutableMemberDoc, GroovyFieldDoc, GroovyMemberDoc, GroovyMethodDoc

All Known Implementing Classes:
  SimpleGroovyClassDoc, SimpleGroovyConstructorDoc, SimpleGroovyExecutableMemberDoc, SimpleGroovyFieldDoc, SimpleGroovyMemberDoc, SimpleGroovyMethodDoc, SimpleGroovyProgramElementDoc

    public interface GroovyProgramElementDoc

extends GroovyDoc

Method Summary
`GroovyClassDoc` `containingClass()`
`GroovyPackageDoc` `containingPackage()`
`boolean` `isFinal()`
`boolean` `isPackagePrivate()`
`boolean` `isPrivate()`
`boolean` `isProtected()`
`boolean` `isPublic()`
`boolean` `isStatic()`
`String` `modifiers()`
`int` `modifierSpecifier()`
`String` `qualifiedName()`

Methods inherited from interface org.codehaus.groovy.groovydoc.GroovyDoc
`commentText, firstSentenceCommentText, getRawCommentText, isAnnotationType, isAnnotationTypeElement, isClass, isConstructor, isEnum, isEnumConstant, isError, isException, isField, isIncluded, isInterface, isMethod, isOrdinaryClass, name, setRawCommentText`

Methods inherited from interface java.lang.Comparable
`compareTo`

Method Detail

### containingClass

    GroovyClassDoc containingClass()

### containingPackage

    GroovyPackageDoc containingPackage()

### isFinal

    boolean isFinal()

### isPackagePrivate

    boolean isPackagePrivate()

### isPrivate

    boolean isPrivate()

### isProtected

    boolean isProtected()

### isPublic

    boolean isPublic()

### isStatic

    boolean isStatic()

### modifiers

    String modifiers()

### modifierSpecifier

    int modifierSpecifier()

### qualifiedName

    String qualifiedName()

Copyright © 2003-2008 The Codehaus. All rights reserved.